Docs
Survey results

List responses

GET/surveys/{id}/responsesNeedsanalytics.view

Newest first; responses with at least one answer.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

id*integer

The survey's id.

Range1 <= value

Query Parameters

days?integer

Time window in days.

Default30
Value in73090
environment?string

Which environment's responses.

Default"production"
Value in"production""staging"
group?string

NPS group.

Value in"promoter""passive""detractor"
status?string

Completed or closed part-way.

Value in"completed""partial"
q?string

Search text answers.

Lengthlength <= 200
cursor?string

nextCursor from the previous page.

limit?integer

Page size, 1–200.

Range1 <= value <= 200
Default50

Response Body

OK

application/json
  1. response
responses*array<>
nextCursor*string|null
Shell
curl -X GET 'https://app.cueston.com/api/surveys/1/responses'
Example Response
JSON
{
  "responses": [
    {
      "id": "string",
      "createdAt": "2026-10-26T09:30:00Z",
      "updatedAt": "2026-10-26T09:30:00Z",
      "status": "completed",
      "completedAt": "2026-10-26T09:30:00Z",
      "userId": "user-123",
      "identityVerified": true,
      "anonymousId": "anon_8f2c1d9e",
      "url": "https://app.acme.com/settings/billing",
      "locale": "de-DE",
      "version": 3,
      "npsScore": 9,
      "npsGroup": "promoter",
      "answers": {
        "property1": null,
        "property2": null
      }
    }
  ],
  "nextCursor": "string"
}